## org.apache.log4j.lf5.viewer.configure
Class ConfigurationManager

    java.lang.Object
      org.apache.log4j.lf5.viewer.configure.ConfigurationManager

    public class ConfigurationManager

extends Object

ConfigurationManager handles the storage and retrival of the state of the CategoryExplorer

Author:
  Richard Hurst, Brad Marlborough

Constructor Summary
`ConfigurationManager(LogBrokerMonitor monitor, LogTable table)`

Method Summary
`protected void` `collapseTree()`
`protected void` `deleteConfigurationFile()`
`protected String` `getFilename()`
`protected String` `getValue(org.w3c.dom.NamedNodeMap map, String attr)`
`protected void` `load()`
`protected void` `processCategories(org.w3c.dom.Document doc)`
`protected void` `processLogLevelColors(org.w3c.dom.Document doc)`
`protected void` `processLogLevels(org.w3c.dom.Document doc)`
`protected void` `processLogTableColumns(org.w3c.dom.Document doc)`
`protected void` `processRecordFilter(org.w3c.dom.Document doc)`
`void` `reset()`
`void` `save()`
`protected void` `selectAllNodes()`
`protected void` `store(String s)`
`static String` `treePathToString(TreePath path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationManager

    public ConfigurationManager(LogBrokerMonitor monitor,
                                LogTable table)

Method Detail

### save

    public void save()

### reset

    public void reset()

### treePathToString

    public static String treePathToString(TreePath path)

### load

    protected void load()

### processRecordFilter

    protected void processRecordFilter(org.w3c.dom.Document doc)

### processCategories

    protected void processCategories(org.w3c.dom.Document doc)

### processLogLevels

    protected void processLogLevels(org.w3c.dom.Document doc)

### processLogLevelColors

    protected void processLogLevelColors(org.w3c.dom.Document doc)

### processLogTableColumns

    protected void processLogTableColumns(org.w3c.dom.Document doc)

### getValue

    protected String getValue(org.w3c.dom.NamedNodeMap map,
                              String attr)

### collapseTree

    protected void collapseTree()

### selectAllNodes

    protected void selectAllNodes()

### store

    protected void store(String s)

### deleteConfigurationFile

    protected void deleteConfigurationFile()

### getFilename

    protected String getFilename()

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.